import { SectorRepository } from '@app/domain/sectors/sector.repository';
import { Observable } from 'rxjs';
import { Sector } from '@app/domain/sectors/sector.model';

export class ListSectorUsecase {
  constructor(private readonly sectorRepository: SectorRepository) {}

  execute(): Observable<Sector[]> {
    return this.sectorRepository.list();
  }
}
